/*****************************************************************************/
/*                                                                           */
/* File: FurTexture.h                                                        */
/*                                                                           */
/*****************************************************************************/

#pragma once

#include <d3d9.h>
#include <d3dx9.h>

#define MAX_TEXTURES 30 

class FurTexture
{
public:
	FurTexture();
	~FurTexture();
	bool Create(UINT seed, UINT size, UINT num);
	void GetTexture(float layer, IDirect3DTexture9** pTexture) const;

private:
	UINT m_Size;
	UINT m_NumLayers;

	IDirect3DTexture9* m_Textures[MAX_TEXTURES];

};//End FurTexture Class
